package net.retiolus.osm2gmaps.utils.maps.converters

import kotlin.math.absoluteValue

fun createGeoHackLink(latitude: Double, longitude: Double, zoomLevel: Int): String {
    val absLatitude = latitude.absoluteValue
    val absLongitude = longitude.absoluteValue
    val latitudeLetter = if (latitude >= 0) "N" else "S"
    val longitudeLetter = if (longitude >= 0) "E" else "W"

    println("https://geohack.toolforge.org/geohack.php?params=$absLatitude%5F$latitudeLetter%5F$absLongitude%5F$longitudeLetter")
    return "https://geohack.toolforge.org/geohack.php?params=$absLatitude%5F$latitudeLetter%5F$absLongitude%5F$longitudeLetter"
}
